Package com.ocient.jdbc

# Class XGProperties

java.lang.Object
com.ocient.jdbc.XGProperties

public final class XGProperties extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONNECTION_POOL_ACTIVATION_PERMITS`
The connection activator thread pool is used to activate and establish database connections asynchronously.
`static final Duration`
`CONNECTION_POOL_MILLIS_BETWEEN_EVICTION_RUNS`
Specifies the amount of time to wait in between eviction runs.
`static final Duration`
`CONNECTION_POOL_MIN_EVICTABLE_IDLE_TIME_MILLIS`
Specifies the minimum amount of time that a closed connection must remain idle before it is eligible for eviction.
`static final int`
`CONNECTION_POOL_MIN_IDLE_PER_EDNPOINT`
The minimum number of connections to cache per database endpoint.
`static final int`
`CONNECTION_POOL_NUM_TESTS_PER_EVICTION_RUN`
Number of connections to evict per run.
`static final int`
`MAX_PARALLEL_TCP_STREAMS`
The maximum of number of parallel TCP streams used to issue fetch data requests.
`static final String`
`MAX_PARALLEL_TCP_STREAMS_KEY`
`static final int`
`MAX_RESULT_SET_BUFFERS_PER_RESPONSE`
The maximum of number of result set buffers in each fetch data response.
`static final String`
`MAX_RESULT_SET_BUFFERS_PER_RESPONSE_KEY`
`static final int`
`MAX_SEQUENCED_PARALLEL_TCP_STREAMS`
The maximum of number of parallel TCP streams used to issue fetch data requests when streaming a sorted result set.
`static final String`
`MAX_SEQUENCED_PARALLEL_TCP_STREAMS_KEY`
`static final int`
`MIN_RESULT_SET_BUFFERS_PER_RESPONSE`
The minimum of number of result set buffers in each fetch data response.
`static final String`
`MIN_RESULT_SET_BUFFERS_PER_RESPONSE_KEY`
`static final int`
`PARALLEL_TCP_STREAM_READ_AHEAD`
The maximum number of fetch data requests to queue on the server's network receive buffer when multiple TCP streams are used to fetch results.
`static final String`
`PARALLEL_TCP_STREAM_READ_AHEAD_KEY`
`static final int`
`RESULT_SET_BUFFER_QUEUE_DEPTH`
The maximum of number of result set buffers to hold in memory at any given time.
`static final String`
`RESULT_SET_BUFFER_QUEUE_DEPTH_KEY`
`static final int`
`SINGLE_TCP_STREAM_READ_AHEAD`
The maximum number of fetch data requests to queue on the server's network receive buffer when a single TCP stream is used to fetch results.
`static final String`
`SINGLE_TCP_STREAM_READ_AHEAD_KEY`

## Method Summary

Modifier and Type
Method
Description
`static Map<String,Integer>`
`getDefaultStreamProperties()`
Returns the default values for all stream properties.
`static Map<String,Integer>`
`getRTAStreamProperties()`
Returns the default stream properties for RTA workloads.
`static void`
`validateStreamProperties(Map<String,Integer> properties)`
Validate the given stream properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MIN_RESULT_SET_BUFFERS_PER_RESPONSE_KEY

public static final String MIN_RESULT_SET_BUFFERS_PER_RESPONSE_KEY

See Also:
  - Constant Field Values

### MAX_RESULT_SET_BUFFERS_PER_RESPONSE_KEY

public static final String MAX_RESULT_SET_BUFFERS_PER_RESPONSE_KEY

See Also:
  - Constant Field Values

### MAX_PARALLEL_TCP_STREAMS_KEY

public static final String MAX_PARALLEL_TCP_STREAMS_KEY

See Also:
  - Constant Field Values

### MAX_SEQUENCED_PARALLEL_TCP_STREAMS_KEY

public static final String MAX_SEQUENCED_PARALLEL_TCP_STREAMS_KEY

See Also:
  - Constant Field Values

### RESULT_SET_BUFFER_QUEUE_DEPTH_KEY

public static final String RESULT_SET_BUFFER_QUEUE_DEPTH_KEY

See Also:
  - Constant Field Values

### SINGLE_TCP_STREAM_READ_AHEAD_KEY

public static final String SINGLE_TCP_STREAM_READ_AHEAD_KEY

See Also:
  - Constant Field Values

### PARALLEL_TCP_STREAM_READ_AHEAD_KEY

public static final String PARALLEL_TCP_STREAM_READ_AHEAD_KEY

See Also:
  - Constant Field Values

### CONNECTION_POOL_ACTIVATION_PERMITS

public static final int CONNECTION_POOL_ACTIVATION_PERMITS
The connection activator thread pool is used to activate and establish database connections asynchronously. It uses a core pool size of 1 and an unbounded maximum pool size.

A semaphore is used to throttle the maximum number of concurrent activation tasks. It uses a fair policy to ensure that all pending tasks have an equal chance of acquiring permits.

### CONNECTION_POOL_MIN_IDLE_PER_EDNPOINT

public static final int CONNECTION_POOL_MIN_IDLE_PER_EDNPOINT
The minimum number of connections to cache per database endpoint. Bursty applications may want to increase this value.

### CONNECTION_POOL_MIN_EVICTABLE_IDLE_TIME_MILLIS

public static final Duration CONNECTION_POOL_MIN_EVICTABLE_IDLE_TIME_MILLIS
Specifies the minimum amount of time that a closed connection must remain idle before it is eligible for eviction.

This is a soft limit, which means that it does not guarantee that objects will be evicted after the specified time. Instead, it provides a hint to the eviction thread that connections should be evicted if they are idle for longer than the specified time and if the pool size exceeds the maximum size limit.

It's worth noting that setting a high value for can lead to increased memory usage and decreased performance, as idle objects will remain in the pool for longer periods of time.

### CONNECTION_POOL_MILLIS_BETWEEN_EVICTION_RUNS

public static final Duration CONNECTION_POOL_MILLIS_BETWEEN_EVICTION_RUNS
Specifies the amount of time to wait in between eviction runs.

### CONNECTION_POOL_NUM_TESTS_PER_EVICTION_RUN

public static final int CONNECTION_POOL_NUM_TESTS_PER_EVICTION_RUN
Number of connections to evict per run.

### PARALLEL_TCP_STREAM_READ_AHEAD

public static final int PARALLEL_TCP_STREAM_READ_AHEAD
The maximum number of fetch data requests to queue on the server's network receive buffer when multiple TCP streams are used to fetch results.

### SINGLE_TCP_STREAM_READ_AHEAD

public static final int SINGLE_TCP_STREAM_READ_AHEAD
The maximum number of fetch data requests to queue on the server's network receive buffer when a single TCP stream is used to fetch results.

### MAX_PARALLEL_TCP_STREAMS

public static final int MAX_PARALLEL_TCP_STREAMS
The maximum of number of parallel TCP streams used to issue fetch data requests.

### MAX_SEQUENCED_PARALLEL_TCP_STREAMS

public static final int MAX_SEQUENCED_PARALLEL_TCP_STREAMS
The maximum of number of parallel TCP streams used to issue fetch data requests when streaming a sorted result set.

### RESULT_SET_BUFFER_QUEUE_DEPTH

public static final int RESULT_SET_BUFFER_QUEUE_DEPTH
The maximum of number of result set buffers to hold in memory at any given time.

### MAX_RESULT_SET_BUFFERS_PER_RESPONSE

public static final int MAX_RESULT_SET_BUFFERS_PER_RESPONSE
The maximum of number of result set buffers in each fetch data response.

### MIN_RESULT_SET_BUFFERS_PER_RESPONSE

public static final int MIN_RESULT_SET_BUFFERS_PER_RESPONSE
The minimum of number of result set buffers in each fetch data response.

## Method Details

### getDefaultStreamProperties

public static Map<String,Integer> getDefaultStreamProperties()
Returns the default values for all stream properties.

### getRTAStreamProperties

public static Map<String,Integer> getRTAStreamProperties()
Returns the default stream properties for RTA workloads.

### validateStreamProperties

public static void validateStreamProperties(Map<String,Integer> properties)
Validate the given stream properties.